/*--------------------------------------------------------------*/
/*	Copyright (C) Siemens AG (2000). All Rights Reserved		*/
/*	Product:		SIMATIC PDM									*/
/*																*/
/*	Device:			Diagnosis									*/
/*	Description:	Diagnosis definitions (Include File)		*/
/*																*/
/*  $Revision:   1.17  $	    								*/
/*  $Date:   11 Apr 2000 17:02:16  $							*/
/*--------------------------------------------------------------*/

#define PDM_DIAG_NOT_VALIDATED				0x0000

/****************************************************************/
/*   ACKNOWLEDGE											    */
/****************************************************************/

#define PDM_DIAG_CONFIRM_VALIDATED			0x0001 
#define PDM_DIAG_CONFIRM_ACTIVE_NACK		0x0002 
#define PDM_DIAG_CONFIRM_CLEARED_NACK		0x0004 

/****************************************************************/
/*   COMMUNICATION											    */
/****************************************************************/

#define PDM_DIAG_COMM_OK					0x0001 
#define PDM_DIAG_COMM_FAILED				0x0002 

/****************************************************************/
/*   Diagnosis Status										    */
/****************************************************************/

#define PDM_DIAG_FAULT						0x0001 
#define PDM_DIAG_MAINT_REQUIRED				0x0002 
#define PDM_DIAG_MAINT_RECOMMENDED			0x0004 
#define PDM_DIAG_PROCESS_ERROR				0x0010 
#define PDM_DIAG_CONFIG_ERROR				0x0020 
#define PDM_DIAG_SIMULATION					0x0040 
#define PDM_DIAG_GOOD						0x0008 

#define PDM_DIAG_MASK_BAD				  ( PDM_DIAG_FAULT				| \
											PDM_DIAG_MAINT_REQUIRED		| \
											PDM_DIAG_MAINT_RECOMMENDED	| \
											PDM_DIAG_PROCESS_ERROR		| \
											PDM_DIAG_CONFIG_ERROR		| \
											PDM_DIAG_SIMULATION )


/***********************************************************************/
